## Class template direct_event_category_mapping

boost::log::sinks::event_log::direct_event_category_mapping — Straightforward event category mapping.

## Synopsis

    // In header: <boost/log/sinks/event_log_backend.hpp>

    template<typename AttributeValueT = int>
    class direct_event_category_mapping :
      public basic_direct_mapping< event_category, int >
    {
    public:

      // public member functions
      explicit direct_event_category_mapping(attribute_name const &);
    };

## Description

This type of mapping assumes that attribute with a particular name always provides values that map directly onto the event categories. The mapping simply returns the extracted attribute value converted to the event category.

### `direct_event_category_mapping` public member functions

1.     explicit direct_event_category_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name